# Interface methods for submodule: TernaryMagnitudeSquaredImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import TernaryGeneratorImageFilterProxy as _TernaryGeneratorImageFilterProxy


# Interface methods for class: TernaryMagnitudeSquaredImageFilter
class TernaryMagnitudeSquaredImageFilterProxy(_TernaryGeneratorImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

